Freeciv-3.2: /fast/freeciv/nightly/S3_2/tools/ruledit/ruledit_qt.cpp File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Functions | Variables
ruledit_qt.cpp File Reference
`#include <QApplication>`
`#include <QCloseEvent>`
`#include <QLabel>`
`#include <QLineEdit>`
`#include <QMainWindow>`
`#include <QMessageBox>`
`#include <QPushButton>`
`#include <QStackedLayout>`
`#include <QVBoxLayout>`
`#include "fcintl.h"`
`#include "log.h"`
`#include "registry.h"`
`#include "game.h"`
`#include "version.h"`
`#include "ruleset.h"`
`#include "conversion_log.h"`
`#include "effect_edit.h"`
`#include "requirers_dlg.h"`
`#include "req_edit.h"`
`#include "req_vec_fix.h"`
`#include "ruledit.h"`
`#include "tab_achievement.h"`
`#include "tab_building.h"`
`#include "tab_counters.h"`
`#include "tab_enablers.h"`
`#include "tab_extras.h"`
`#include "tab_good.h"`
`#include "tab_gov.h"`
`#include "tab_misc.h"`
`#include "tab_multiplier.h"`
`#include "tab_nation.h"`
`#include "tab_tech.h"`
`#include "tab_terrains.h"`
`#include "tab_unit.h"`
`#include "ruledit_qt.h"`

Go to the source code of this file.

## Functions

int | ruledit_qt_run (int argc, char **argv)
void | ruledit_qt_display_requirers (const char *msg, void *data)
static void | conversion_log_cb (const char *msg)

## Variables

static ruledit_gui * | gui
static QApplication * | qapp
static conversion_log * | convlog

## Function Documentation

## ◆ conversion_log_cb()

static void conversion_log_cb | ( | const char * | msg | ) |

static

Ruleset conversion log callback

Definition at line 225 of file ruledit_qt.cpp.

Referenced by ruledit_gui::launch_now().

## ◆ ruledit_qt_display_requirers()

void ruledit_qt_display_requirers | ( | const char * | msg,
|  | void * | data
| ) |  |

Display requirer list.

Definition at line 97 of file ruledit_qt.cpp.

Referenced by tab_achievement::delete_now(), tab_building::delete_now(), tab_counter::delete_now(), tab_extras::delete_now(), tab_good::delete_now(), tab_gov::delete_now(), tab_multiplier::delete_now(), tab_tech::delete_now(), tab_terrains::delete_now(), and tab_unit::delete_now().

## ◆ ruledit_qt_run()

int ruledit_qt_run | ( | int | argc,
|  | char ** | argv
| ) |  |

Run ruledit-qt gui.

Definition at line 71 of file ruledit_qt.cpp.

Referenced by main().

## Variable Documentation

## ◆ convlog

conversion_log* convlog

static

Definition at line 66 of file ruledit_qt.cpp.

Referenced by conversion_log_cb(), and ruledit_gui::launch_now().

## ◆ gui

ruledit_gui* gui

static

Definition at line 64 of file ruledit_qt.cpp.

Referenced by ruledit_qt_display_requirers(), and ruledit_qt_run().

## ◆ qapp

QApplication* qapp

static

Definition at line 65 of file ruledit_qt.cpp.

Referenced by ruledit_qt_run().